@echo off
setlocal

REM ##### 初期設定 #####
REM Stack内のbinディレクトリパス
set STACK_BIN=bin
REM 外部実行タイムアウト時間(ms)
set PROCESS_TIMEOUT=600000
REM ダウンロードのみ
set DOWNLOAD_ONLY=false


REM ##### 実行ユーザー権限チェック #####
call %STACK_BIN%\CheckAuthority.bat
if errorlevel 1 (
	echo 実行ユーザーにAdministrators権限がないため処理を続行できません。
	goto error
)


REM ##### javaインストールチェック #####
call %STACK_BIN%\CheckInstalledJava.bat
if errorlevel 1 (
	echo javaがインストールされていないため処理を続行できません。
	goto error
)


REM ##### 起動 #####
start /min java -DprocessTimeout=%PROCESS_TIMEOUT% -DdownloadOnly=%DOWNLOAD_ONLY% -jar openstandiainstaller.jar
goto end


REM ##### エラー #####
:error
pause
goto end


REM ##### 終了処理 #####
:end
endlocal
exit
